FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202107231447.p0.git.7b6cd3d.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202107231447.p0.git.7b6cd3d.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=7b6cd3d OS_GIT_VERSION=4.8.0-202107231447.p0.git.7b6cd3d.assembly.stream-7b6cd3d SOURCE_DATE_EPOCH=1622645641 SOURCE_GIT_COMMIT=7b6cd3d847c807663f63a6f293748c682c2cad2a SOURCE_GIT_TAG=7b6cd3d SOURCE_GIT_URL=https://github.com/openshift/ovirt-csi-driver-operator 
WORKDIR /go/src/github.com/openshift/ovirt-csi-driver-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.8.0.20210723.145548
ENV __doozer=update BUILD_RELEASE=202107231447.p0.git.7b6cd3d.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202107231447.p0.git.7b6cd3d.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=7b6cd3d OS_GIT_VERSION=4.8.0-202107231447.p0.git.7b6cd3d.assembly.stream-7b6cd3d SOURCE_DATE_EPOCH=1622645641 SOURCE_GIT_COMMIT=7b6cd3d847c807663f63a6f293748c682c2cad2a SOURCE_GIT_TAG=7b6cd3d SOURCE_GIT_URL=https://github.com/openshift/ovirt-csi-driver-operator 
COPY --from=builder /go/src/github.com/openshift/ovirt-csi-driver-operator/ovirt-csi-driver-operator /usr/bin/
COPY manifests /manifests


USER 1001 
ENTRYPOINT ["/usr/bin/ovirt-csi-driver-operator"]

LABEL \
        io.k8s.display-name="OpenShift ovirt-csi-driver-operator" \
        io.k8s.description="The ovirt-csi-driver-operator installs and maintains the oVirt CSI Driver on a cluster." \
        name="openshift/ose-ovirt-csi-driver-operator" \
        com.redhat.component="ose-cluster-ovirt-csi-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        io.openshift.maintainer.subcomponent="oVirt CSI Driver" \
        release="202107231447.p0.git.7b6cd3d.assembly.stream" \
        io.openshift.build.commit.id="7b6cd3d847c807663f63a6f293748c682c2cad2a" \
        io.openshift.build.source-location="https://github.com/openshift/ovirt-csi-driver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ovirt-csi-driver-operator/commit/7b6cd3d847c807663f63a6f293748c682c2cad2a" \
        version="v4.8.0"

